Debian Bug report logs - #566205
aptitude: status messages don't get erased

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Miles Bader <miles@gnu.org>

Date: Thu, 21 Jan 2010 23:57:01 UTC

Severity: minor

Found in version aptitude/0.6.1.5-1

Fixed in version aptitude/0.6.1.5-2

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#566205; Package aptitude. (Thu, 21 Jan 2010 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miles Bader <miles@gnu.org>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. (Thu, 21 Jan 2010 23:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miles Bader <miles@gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: status messages don't get erased
Date: Fri, 22 Jan 2010 08:47:02 +0900
Package: aptitude
Version: 0.6.1.5-1
Severity: minor



After starting aptitude, there's a sort of "info line", colored blue, at
the bottom of the screen.

If I move to the first package (in my case, "adduser"), and hit the "C"
command to show the changelog, a _second_ status line is added at the
bottom, displaying messages like "Downloading the changelog of adduser",
with a percentage at the far right.

That's all nice, but once this "status line" has been added, it never
goes away, and always seems to display the last message that was there,
even if it's clearly out of date -- e.g., currently I've seen the
changelog, and quit back to the main package listing display, but the
"status line" is still showing:

   Downloading the changelog of adduser          0%

complete with bogus percentage [some whitespace removed for clarity].

[So now there's now _two_ blue lines at the bottom of the display, the
normal "info line", and the bogus "status line" beneath it; nothing
seems to make the added status line go away, although new status
messages will change its contents (and then the new contents
subsequently persist).]

It looks like a cleanup call was missed somewhere...

Thanks,

-Miles



-- Package-specific info:
aptitude 0.6.1.5 compiled at Jan 21 2010 06:50:12
Compiler: g++ 4.4.3 20100108 (prerelease)
Compiled against:
  apt version 4.8.0
  NCurses version 5.7
  libsigc++ version: 2.2.4.2
  Ept support enabled.
  Gtk+ support disabled.

Current library versions:
  NCurses version: ncurses 5.7.20090803
  cwidget version: 0.5.16
  Apt version: 4.8.0
	linux-vdso.so.1 =>  (0x00007fff2a680000)
	libapt-pkg-libc6.9-6.so.4.8 => /usr/lib/libapt-pkg-libc6.9-6.so.4.8 (0x00007f195186a000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0x00007f1951619000)
	liblog4cxx.so.10 => /usr/lib/liblog4cxx.so.10 (0x00007f195122b000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00007f1951026000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0x00007f1950d5a000)
	libept.so.0 => /usr/lib/libept.so.0 (0x00007f1950ae2000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0x00007f195078c000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007f1950575000)
	libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00007f19502e8000)
	libboost_iostreams.so.1.40.0 => /usr/lib/libboost_iostreams.so.1.40.0 (0x00007f19500dd000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00007f194fec1000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f194fbb7000)
	libm.so.6 => /lib/libm.so.6 (0x00007f194f935000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f194f71f000)
	libc.so.6 => /lib/libc.so.6 (0x00007f194f3ca000)
	libutil.so.1 => /lib/libutil.so.1 (0x00007f194f1c7000)
	libdl.so.2 => /lib/libdl.so.2 (0x00007f194efc3000)
	libaprutil-1.so.0 => /usr/lib/libaprutil-1.so.0 (0x00007f194ed9f000)
	libdb-4.8.so => /usr/lib/libdb-4.8.so (0x00007f194ea25000)
	libapr-1.so.0 => /usr/lib/libapr-1.so.0 (0x00007f194e7f0000)
	libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x00007f194e5df000)
	librt.so.1 => /lib/librt.so.1 (0x00007f194e3d7000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f1951b4a000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x00007f194e1d2000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00007f194df9b000)
	libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f194dd73000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.9 0.7.25.1         Advanced front-end for dpkg
ii  libboost-iostreams1.40. 1.40.0-6         Boost.Iostreams Library
ii  libc6                   2.10.2-5         Embedded GNU C Library: Shared lib
ii  libcwidget3             0.5.16-3         high-level terminal interface libr
ii  libept0                 0.5.30           High-level library for managing De
ii  libgcc1                 1:4.5-20100103-1 GCC support library
ii  liblog4cxx10            0.10.0-1.1       A logging library for C++
ii  libncursesw5            5.7+20090803-2   shared libraries for terminal hand
ii  libsigc++-2.0-0c2a      2.2.4.2-1        type-safe Signal Framework for C++
ii  libsqlite3-0            3.6.21-2         SQLite 3 shared library
ii  libstdc++6              4.5-20100103-1   The GNU Standard C++ Library v3
ii  libxapian15             1.0.17-1         Search engine library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages aptitude recommends:
pn  apt-xapian-index              <none>     (no description available)
ii  aptitude-doc-en [aptitude-doc 0.6.1.5-1  English manual for aptitude, a ter
pn  libparse-debianchangelog-perl <none>     (no description available)
ii  sensible-utils                0.0.2      Utilities for sensible alternative

Versions of packages aptitude suggests:
pn  debtags                       <none>     (no description available)
pn  tasksel                       <none>     (no description available)

-- no debconf information




Added tag(s) pending. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 30 Jan 2010 16:03:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566205; Package aptitude. (Sat, 30 Jan 2010 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. (Sat, 30 Jan 2010 16:30:02 GMT) Full text and rfc822 format available.

Message #12 received at 566205@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Miles Bader <miles@gnu.org>, 566205@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, 566780@bugs.debian.org, Rick Thomas <rbthomas@dillserver.rcthomas.org>, 567242@bugs.debian.org
Subject: Upload is pending on an apt upload.
Date: Sat, 30 Jan 2010 08:01:27 -0800
  I have an upload prepared to fix these bugs, but I can't upload it
because the apt includes are broken (just filed a bug about it).

  Daniel




Added blocking bug(s) of 566205: 567662 Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 30 Jan 2010 18:51:16 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. (Wed, 03 Feb 2010 06:21:07 GMT) Full text and rfc822 format available.

Notification sent to Miles Bader <miles@gnu.org>:
Bug acknowledged by developer. (Wed, 03 Feb 2010 06:21:07 GMT) Full text and rfc822 format available.

Message #19 received at 566205-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 566205-close@bugs.debian.org
Subject: Bug#566205: fixed in aptitude 0.6.1.5-2
Date: Wed, 03 Feb 2010 06:17:27 +0000
Source: aptitude
Source-Version: 0.6.1.5-2

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.6.1.5-2_i386.deb
  to main/a/aptitude/aptitude-dbg_0.6.1.5-2_i386.deb
aptitude-doc-cs_0.6.1.5-2_all.deb
  to main/a/aptitude/aptitude-doc-cs_0.6.1.5-2_all.deb
aptitude-doc-en_0.6.1.5-2_all.deb
  to main/a/aptitude/aptitude-doc-en_0.6.1.5-2_all.deb
aptitude-doc-es_0.6.1.5-2_all.deb
  to main/a/aptitude/aptitude-doc-es_0.6.1.5-2_all.deb
aptitude-doc-fi_0.6.1.5-2_all.deb
  to main/a/aptitude/aptitude-doc-fi_0.6.1.5-2_all.deb
aptitude-doc-fr_0.6.1.5-2_all.deb
  to main/a/aptitude/aptitude-doc-fr_0.6.1.5-2_all.deb
aptitude-doc-ja_0.6.1.5-2_all.deb
  to main/a/aptitude/aptitude-doc-ja_0.6.1.5-2_all.deb
aptitude-gtk_0.6.1.5-2_i386.deb
  to main/a/aptitude/aptitude-gtk_0.6.1.5-2_i386.deb
aptitude_0.6.1.5-2.diff.gz
  to main/a/aptitude/aptitude_0.6.1.5-2.diff.gz
aptitude_0.6.1.5-2.dsc
  to main/a/aptitude/aptitude_0.6.1.5-2.dsc
aptitude_0.6.1.5-2_i386.deb
  to main/a/aptitude/aptitude_0.6.1.5-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jan 2010 07:30:33 -0800
Source: aptitude
Binary: aptitude aptitude-gtk aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-es aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source i386 all
Version: 0.6.1.5-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager (terminal interface only)
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-es - Spanish manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
 aptitude-gtk - terminal-based package manager (GUI and terminal interfaces)
Closes: 566205 566780 567242
Changes: 
 aptitude (0.6.1.5-2) unstable; urgency=low
 .
   * Ignore failures in the Boost unit test everywhere; it's just too flaky
     (Closes: #566780).
 .
   * Backport patch from head to make sure the changelog progress bar is
     safely destroyed after it downloads (Closes: #566205).
 .
   * Backport patch from head to fix crashes when changing the settings of
     the command-line resolver (Closes: #567242).
Checksums-Sha1: 
 226a6dcfdafed29b2fa488d61688d18e023943b2 1607 aptitude_0.6.1.5-2.dsc
 0a4fa0562d27629ed68f2b32d89e1646aa749e6c 40125 aptitude_0.6.1.5-2.diff.gz
 d7e654c35db93dae3ff508ca399ec17dd0301270 3668446 aptitude_0.6.1.5-2_i386.deb
 8261ea8c86a51c7d8ae92a843e336a096e47fb6e 1769502 aptitude-gtk_0.6.1.5-2_i386.deb
 242faac6aed3da8282262787824968a4499ad692 19011578 aptitude-dbg_0.6.1.5-2_i386.deb
 41c4cb5299b23feee5b512e228a102623a319aa1 383264 aptitude-doc-cs_0.6.1.5-2_all.deb
 15bdbc076d1fc6fc27fe4fe41c8f3aa17641f164 423110 aptitude-doc-en_0.6.1.5-2_all.deb
 1e917fa80f4cdc2535021440e223334202cba45d 472766 aptitude-doc-es_0.6.1.5-2_all.deb
 21edf2eac59f35a942394720df45cd2e11fd1ff5 275116 aptitude-doc-fi_0.6.1.5-2_all.deb
 0df748ef842f61f0bd9ee26fe59dcb0f14859091 332878 aptitude-doc-fr_0.6.1.5-2_all.deb
 2e2c8eaf6e3a61ef458b8cd3bcfca63bd153bcf8 395494 aptitude-doc-ja_0.6.1.5-2_all.deb
Checksums-Sha256: 
 803f587952c63c902c08db1ada0f9c97da4fa40572a316b63153712920495e20 1607 aptitude_0.6.1.5-2.dsc
 acb7f11ee855268ad2a91481eddda59d6fcc91ebc5cea001613f5d7bc7d401ec 40125 aptitude_0.6.1.5-2.diff.gz
 65d02f3eba678abebbe57ce0fae1f41d04e72b02a60b65485082a1b3bf9dcadb 3668446 aptitude_0.6.1.5-2_i386.deb
 3b328fff1ddaf90d56be20ca0bef191dd820eca14f8c30164a6f8ae868679736 1769502 aptitude-gtk_0.6.1.5-2_i386.deb
 1072a5ceec8164ca940ffc5cde9880d9567eac197ff647cc92b5979640f9766f 19011578 aptitude-dbg_0.6.1.5-2_i386.deb
 78f81522dfa9569ef61e42d229a54195e1f78d4f869b8bf803af2a73a2f994ea 383264 aptitude-doc-cs_0.6.1.5-2_all.deb
 b6850458f18e45702a31a4e09e1a41388875b2ff21c51d121e191e357cebcd04 423110 aptitude-doc-en_0.6.1.5-2_all.deb
 c7bcd17c84f4e6142796d7ab8198959c15334100dd5fce7bff6dffa2fd6b1861 472766 aptitude-doc-es_0.6.1.5-2_all.deb
 44570e92ed543b88302d52f609476f111161c9065f822d4699e2d37c4a8f25c2 275116 aptitude-doc-fi_0.6.1.5-2_all.deb
 739d297c2ca77613376247db7f70657ee8d52ba19ced6e90fbc926aea9b6f39c 332878 aptitude-doc-fr_0.6.1.5-2_all.deb
 24ae5f961b29652d34f45b28d5fa5fc525605a5d5c67cefc6384213e72357ae4 395494 aptitude-doc-ja_0.6.1.5-2_all.deb
Files: 
 464fb873bf2bad77f97106c193a243d3 1607 admin - aptitude_0.6.1.5-2.dsc
 e2554895689fad4a27a29ecf4c5c5a2e 40125 admin - aptitude_0.6.1.5-2.diff.gz
 e63fb81f59867a7909ede23ae32ee645 3668446 admin important aptitude_0.6.1.5-2_i386.deb
 c3e0d25805543ead38e1133891ad4619 1769502 admin optional aptitude-gtk_0.6.1.5-2_i386.deb
 433df43e46caba76a7786c0c81a330ab 19011578 debug extra aptitude-dbg_0.6.1.5-2_i386.deb
 c86ca97f6f25747736204bd5a80ed434 383264 doc optional aptitude-doc-cs_0.6.1.5-2_all.deb
 13e0978b974683b8fcc10cd37c0166d2 423110 doc optional aptitude-doc-en_0.6.1.5-2_all.deb
 1b316b85e17e15a21c2a8473eaf3d5fa 472766 doc optional aptitude-doc-es_0.6.1.5-2_all.deb
 b48de6d02c52a6d8b0218414ea4302a4 275116 doc optional aptitude-doc-fi_0.6.1.5-2_all.deb
 1d38d19878e5fbe50c293d3d956db837 332878 doc optional aptitude-doc-fr_0.6.1.5-2_all.deb
 91dd6e4bf43537aea0a289216c81ea27 395494 doc optional aptitude-doc-ja_0.6.1.5-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktpEuQACgkQch6xsM7kSXjHkACeKNmbruRjUqSbzNnrKtZctnXB
AXMAn2EAnmDH9ckxSF7clkSixcj2eNI8
=q/E9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Apr 2010 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:02:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.